Subject: Re: iproute2: ip -force -batch does not continue on errors

From: roopa <[email-masked]>
Date: Tue, 17 Mar 2015 08:17:14 -0700

On 3/17/15, 8:07 AM, Sven-Haegar Koch wrote:
> Hallo,
>
> Test szenario:
>
> # cat b.txt
> route del 1.2.3.0/24 dev eth0
> route del 1.2.4.0/24 dev eth0
> route del 1.2.5.0/24 dev eth0
> route add 1.2.3.0/24 dev eth0
>
> # ip -force -batch b.txt
> RTNETLINK answers: No such process
>
> Expectation: The three route del commands may fail if the route does
> not (yet) exist, and then (as I am using -force) the route add gets
> executed.
>
> But instead the batch processing is aborted at the first failing "route
> del" command, forcing me to execute ip once per route del instead of
> using the batchmode.
>
> Tested mainly using iproute2 3.16.0, but the current git tree seems to
> behave mostly the same, except that it only executes anything if I add
> "-f inet" to the commandline, otherwise it rejects the first line with
> 'Error: an inet prefix is expected rather than "1.2.3.0/24".'
>

I have run into this as well, I have a patch that fixes this. Will post 
it today...